import BSection from "../../components/wrapper/BSection";
import BContainer from "../../components/wrapper/BContainer";
import { Section } from "../../models/elements/Section";
import { Title } from "../../models/elements/Title";
import middleware from "../middleware";
import drawer from "../drawer";
export default {
    name: "Dashboard",
    props: {
        c: {},
    },
    components: {
        BContainer, BSection
    },
    data() {
        return {
            build: {
                leftDrawer: ($this) => drawer.default($this),
                middleware: () => {
                    return middleware.auth;
                },
                data: ($this) => {
                    return [];
                },
                instance: () => {
                    return {};
                },
                sections: ($this, _i) => {
                    return {
                        dashboard: new Section('dashboard', 'card', () => [
                            new Title('Hello, World!')
                        ], {
                            class: 'pt-6',
                            mustHave: () => true,
                        }),
                    };
                }
            },
        };
    }
};
//# sourceMappingURL=Dashboard.vue.js.map