export class Model
{
    public _config: any;
    public _component: any = null;
    public items: any = () => [];

    constructor(config: any)
    {
        this._config = config;

        // Defaults

        this._config.class = config.class ?? '';
        this._config.classInner = config.classInner ?? '';
        this._config.show = config.show ?? true;
        this._config.required = config.required ?? true;

        /**
         *  Allowed as Functions
         */

        // Disabled
        this._config.disabledFunction = typeof config.disabled === 'function';
        this._config.disabled = config.disabled ?? false;

        // Show
        this._config.showFunction = typeof config.show === 'function';
        this._config.show = config.show ?? true;

        // Items
        this._config.items = config.items ?? this.items;
    }

    public resetData() {}
}