import {Model} from "./../../models/Model";

export class Article extends Model
{
    public _class: string;
    public _title: string;
    public _items: any;
    public _type: string;
    public _text: string;

    constructor(type: string, title: string, text: string, items: any, config: any)
    {
        super(config);
        this._class = 'Article';

        this._title = title;
        this._items = items;
        this._type = type;
        this._text = text;
    }
}