import {Model} from "./../../models/Model";

export class Section extends Model {

    public _display: string;
    public _class: string;
    public _items: any;
    public _key: string;

    constructor(key: string, display: string, items: any, config: any = null)
    {
        super(config);
        this._class = 'Section';

        this._display = display;
        this._items = items;
        this._key = key;
    }
}