module.exports = {
    store: store,
    inside: inside,
};

function store(data, has, fallback)
{
    let result = inside(data, `c.request.store.${has}`);
    return result ? result : fallback;
}

function inside(data, has) {
    if (typeof has === 'string') has = has.split('.');
    let temp = data;
    let fail = false;
    has.forEach((r) => {
        if (!temp) fail = true;
        if (!fail && r in temp) {
            temp = temp[r];
        } else {
            temp = null;
        }
    });
    return temp;
}