import Vue from 'vue'
import VueRouter, { RouteConfig } from 'vue-router'

Vue.use(VueRouter);

let config = { routes: [
        {
            path: '/',
            redirect: '/dashboard',
        },
        {
            path: '/dashboard',
            name: 'Dashboard',
            component: () => import('../defaults/views/Dashboard.vue')
        },
], mode: undefined }

const routes: Array<RouteConfig> = config.routes;

const router = new VueRouter({
    mode: config.mode,
    routes,
});

export default router