import {Model} from "./Model";

export class Request extends Model
{
    public _class: string;
    public _catch: any;
    public _type: string;
    public _path: string;
    public _then: any;
    public _key: string;

    constructor(key: string, type: string, path: any, onThen: any = () => {}, onCatch: any = () => {}, config: any = {})
    {
        super(config);
        this._class = 'Request';

        this._catch = onCatch;
        this._type = type;
        this._path = path;
        this._then = onThen;
        this._key = key;
    }
}