import { Model } from "./../../models/Model";
export class List extends Model {
    constructor(type, dataFunction, header, select, filter, config) {
        super(config);
        this._class = 'List';
        this._dataFunction = dataFunction;
        this._data = dataFunction();
        this._type = type;
        this._header = header;
        this._select = select;
        this._filter = filter;
        this._config.hideFooter = this._config.hideFooter ?? false;
        this._config.hideHeader = this._config.hideHeader ?? false;
        this._config.itemsPerPage = this._config.itemsPerPage ?? 25;
        this._config.isSimpleTable = this._config.isSimpleTable ?? false;
    }
    resetData() {
        this._data = this._dataFunction();
        this._component.resetData();
    }
}
//# sourceMappingURL=List.js.map