import { FieldBase } from "./extend/FieldBase";
export class FieldColorPicker extends FieldBase {
    constructor(field = null) {
        super(field);
    }
    format(value, $this) {
        return value.shade ?? value.color;
    }
    default() {
        this._field._model = { color: null, shade: null };
        if (this._field._config.default) {
            let color = this._field._config.defaultFunction ? this._field._config.default().split(' ') : this._field._config.default.split(' ');
            if (color.length === 1) {
                this._field._model = { color: color[0], shade: null };
            }
            else if (color.length > 1) {
                this._field._model = { color: color[0], shade: `${color[0]} ${color[1]}` };
            }
        }
    }
}
//# sourceMappingURL=FieldColorPicker.js.map